
From: Jeremy Fitzhardinge <jeremy@goop.org>

Missed one:



 drivers/isdn/i4l/isdn_tty.c |    3 ++-
 fs/autofs/inode.c           |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN fs/autofs/inode.c~group_leader-rework-fix fs/autofs/inode.c
--- 25/fs/autofs/inode.c~group_leader-rework-fix	2003-09-15 18:17:45.000000000 -0700
+++ 25-akpm/fs/autofs/inode.c	2003-09-16 10:39:19.000000000 -0700
@@ -129,7 +129,7 @@ int autofs_fill_super(struct super_block
 	sbi->magic = AUTOFS_SBI_MAGIC;
 	sbi->catatonic = 0;
 	sbi->exp_timeout = 0;
-	sbi->oz_pgrp = current->pgrp;
+	sbi->oz_pgrp = process_group(current);
 	autofs_initialize_hash(&sbi->dirhash);
 	sbi->queues = NULL;
 	memset(sbi->symlink_bitmap, 0, sizeof(long)*AUTOFS_SYMLINK_BITMAP_LEN);
diff -puN drivers/isdn/i4l/isdn_tty.c~group_leader-rework-fix drivers/isdn/i4l/isdn_tty.c
--- 25/drivers/isdn/i4l/isdn_tty.c~group_leader-rework-fix	2003-09-16 10:39:36.000000000 -0700
+++ 25-akpm/drivers/isdn/i4l/isdn_tty.c	2003-09-16 10:40:37.000000000 -0700
@@ -1989,7 +1989,8 @@ modem_write_profile(atemu * m)
 	memcpy(m->pmsn, m->msn, ISDN_MSNLEN);
 	memcpy(m->plmsn, m->lmsn, ISDN_LMSNLEN);
 	if ((get_isdn_dev())->profd)
-		kill_pg_info(SIGIO, SEND_SIG_PRIV, (get_isdn_dev())->profd->pgrp);
+		kill_pg_info(SIGIO, SEND_SIG_PRIV,
+			process_group((get_isdn_dev())->profd));
 }
 
 static struct tty_operations modem_ops = {

_
